<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage ASIA_GARDEN
 * @since ASIA_GARDEN 1.0
 */

asia_garden_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	asia_garden_show_layout(get_query_var('blog_archive_start'));

	$asia_garden_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$asia_garden_sticky_out = asia_garden_get_theme_option('sticky_style')=='columns' 
							&& is_array($asia_garden_stickies) && count($asia_garden_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($asia_garden_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$asia_garden_sticky_out) {
		?><div class="chess_wrap posts_container"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($asia_garden_sticky_out && !is_sticky()) {
			$asia_garden_sticky_out = false;
			?></div><div class="chess_wrap posts_container"><?php
		}
		get_template_part( 'content', $asia_garden_sticky_out && is_sticky() ? 'sticky' :'chess' );
	}
	
	?></div><?php

	asia_garden_show_pagination();

	asia_garden_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>